# Connecting to Fabric with a Service Token Make a connection from your Network Edge devices to destinations on Fabric by redeeming a Z-side Service Token. You can be given a Z-side service token from a reseller, carrier, service provider, or other Equinix Fabric customer so you can create to their infrastructure or service. When creating the connection, you select the virtual device and its connection settings, and the service token provides the connection details and configuration of the other side of the connection. Each connection requires its own service token. You can create a pair of connections from your redundant or cluster virtual devices with two separate service tokens. > **Note** > > If you want to allow someone to create a connection TO your Network Edge virtual device, you can [create and share a Z-side service token](https://docs.equinix.com/fabric/service-tokens/create-z-side-token.md). ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") * Portal * API 1. Sign in to the [Equinix Customer Portal](https://portal.equinix.com/) and navigate to the Network Edge Dashboard. 2. Click **Create Connection**. ![](https://docs.equinix.com/assets/images/service-provider-create-connection-49f02d48309fc652e6b31fbd69a326fd.png) 1. Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call OAuth API to validate and authenticate your credentials. 2. Retrieve your Network Edge device information using the [`/ne/v1/devices`](https://docs.equinix.com/api-catalog/network-edgev1/virtual-device/getvirtualdevices.md) or [`/ne/v1/devices/{uuid}`](https://docs.equinix.com/api-catalog/network-edgev1/virtual-device/getvirtualdevicebyuuid.md) endpoints. If you are connecting from redundant devices, you need the UUID of the primary or the secondary device. If you are connecting from a cluster device, you need the UUID of `node0` or `node1`. There can be only one connection per service token. Additional connections to redundant or cluster devices requires additional service tokens. 3. Retrieve your service token. * If a third-party has shared a service token so you can connect to their infrastructure or service, you need the UUID of the service token they have shared with you. * If you are connecting to your own assets with a service token you or another person in your organization has created, you can retrieve the service token's UUID from the [`/fabric/v4/serviceTokens`](https://docs.equinix.com/api-catalog/fabricv4/service-tokens/getservicetokens.md) endpoint, along with the allowed connection settings. ## Creating the Connection[​](#creating-the-connection "Direct link to Creating the Connection") * Portal * API On the *Create a Connection to:* page: 1. Click **Enter Service Token**, on the *Connect using Service Token* card. ![](https://docs.equinix.com/assets/images/service-token-connections-menu-96ae3f5091bbcf89410c63c92be6c66a.png) 2. Enter your Z-side service token. Verify that the *Service Token Details* are correct and click **Redeem Service Token**. ![](https://docs.equinix.com/assets/images/service-token-redeem-344e66b23c8acb912cc900be97ceb66a.png) 1. Click **Next**. 2. From the *Origin Asset Type* drop-down, select **Virtual Device**. 3. In the *Origin* section, click **Virtual Device**. 4. Select the Location and Virtual Device Type. * If you are connecting from a single device, the single connection option is selected for you. * If you are connecting from redundant or cluster devices, you have the option to create a redundant connection. Enter the service token for the second connection in the *Redundant Destination* field. 5. Select the Virtual Device(s) and click **Next**. ![](https://docs.equinix.com/assets/images/service-token-virtual-device-fe4db02711276df460318a5122625160.png) 6. On the *Connection Information* page: * Enter a connection name. For redundant connections, enter a name for the primary connection in the *Primary Connection Information* field and a name for the secondary connection in the *Secondary Connection Information* field. * In the *Interface Selection* section, choose to either **Automatically select the next available interface on my device(s)** or **I will select an interface**. * *(Optional)* Enter the purchase order number. * Select a *Connection Speed*. Connection speed options are pre-defined by the service token. If ordering a redundant connections, select both a *Primary Connection* speed and a *Secondary Connection* speed. * Click **Next**. ![](https://docs.equinix.com/assets/images/service-token-connection-info-8c09f23678501108dafe7a21853c4e1e.png) 7. On the *Review* page, review the information in the Preview, Connection Summary, and Pricing Overview. In the *Notifications* section, add the email addresses for all users who should receive notifications about this connection. ![](https://docs.equinix.com/assets/images/service-token-review-41a501edf2fa8a66a48c64e247a04899.png) 8. Click **Submit Order**. To create a connection between your virtual device and another network location on Fabric using a service token, send a `POST` request to the [`/fabric/v4/connections`](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md) endpoint. Define your Network Edge device in the `aSide` object including: * `accessPoint.type` as `VD` * `virtualDevice.type` as `EDGE` * `virtualDevice.uuid` as your device's UUID Provide your Service Token UUID in the `zSide` object. The service token provides all other necessary information to establish the connection. Sample cURL Request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections' \ -H 'content-type: application/json' \ -H 'authorization: Bearer ' \ -d '{ "type": "EVPL_VC", "name": "", "bandwidth": , "aSide": { "accessPoint": { "type": "VD", "virtualDevice": { "type": "EDGE", "uuid": "" }, } }, "zSide": { "serviceToken": { "uuid": "" } }, "notifications": [ { "type": "ALL", "emails": [ "", "" ] } ] }' ``` ## Monitoring the Connection Status[​](#monitoring-the-connection-status "Direct link to Monitoring the Connection Status") * Portal * API You can monitor the status of your new connection in your [*Connections Inventory*](https://docs.equinix.com/fabric/managing-connections/fabric-new-connections-inventory.md). Use the [`/fabric/v4/connections/{connectionId}`](https://docs.equinix.com/api-catalog/fabricv4/connections/getconnectionbyuuid.md) API endpoint to monitor connection status.